# tidybot.py

"""
Utility program for checking all XHTML files in a directory tree
for errors, and formatting the results as a webpage.

Tidybot uses the 'tidy' Python module for the XHTML checking, and
the 'HTMLTemplate' module for generating the output, which is
based on the output generated by the Checkbot link checker
program.

Usage
=====
  tidybot [OPTION]... <source directory>...

options
=======
--version               show program's version number and exit
--help, -h              show this help message and exit
--verbose, -v           turn on verbose mode
--file=FILE             write results to FILE
--exclude-from=FILE     exclude patterns listed in FILE
--suppress-from=FILE    suppress lines listed in FILE
--tidy-options-from=FILE
                        use tidy config file FILE
--style=URL             reference the style sheet at this URL

If you do not specify an output file with the --file option, the
default 'tidybot.html' will be used.

If you specify an exclusion file using the --exclude-from option,
Tidybot will match each filename it encounter against the lines
found in the exclusion file. If the filename contains one of the
exclusion lines (the match does not have to be exact), the file
in question will not be checked.

If you specify a suppression file using the --suppress-from
option, Tidybot will match every output string it returns against
the lines found in the suppression file. If the returned string
contains one of the suppression lines (the match does not have to
be exact), the line in question will not be included in the
generated report.

In a future version, exclusions and suppressions will likely
become regexps instead of just substrings.
"""

__author__ = "Leo Breebaart <leo@kronto.org>"
__version__ = "1.6.1"
__date__ = "5 November 2005"

from tidybot import *
