# ReadmeFrame.py

import sys
import imp
import inspect
import os.path
import wx
import tidybot


class ReadmeFrame(wx.Frame):

    def __init__(self, parent):
        wx.Frame.__init__(self, parent, -1,
                          "Tidybot Documentation",
                          size=parent.GetSize())

        ib=wx.IconBundle()
        ib.AddIconFromFile(parent.iconfile,wx.BITMAP_TYPE_ANY)
        self.SetIcons(ib)


        try:
            self.SetIcon(wx.Icon(parent.iconfile, parent.icontype))
        except:
            pass

        self.sizer = wx.BoxSizer(wx.VERTICAL)
        readmepanel = ReadmePanel(self)
        self.sizer.Add(readmepanel, 1, wx.EXPAND)

        self.SetSizer(self.sizer)
        self.CentreOnParent()



class ReadmePanel(wx.Panel):

    def __init__(self, parent):

	wx.Panel.__init__(self, parent)

        readme_filename = os.path.join(tidybot.get_main_dir(), "README")
        if sys.platform == 'win32':
            readme_filename += ".txt"
        readme_file = open(readme_filename)
        readme = readme_file.read()
        readme_file.close()

        text = wx.TextCtrl(self, style=wx.TE_RICH|wx.TE_MULTILINE|wx.TE_READONLY)

        font = text.GetFont()
        font.SetFamily(wx.FONTFAMILY_TELETYPE)
        style = wx.TextAttr(font=font)
        text.SetDefaultStyle(style)
        text.AppendText(readme)
        text.SetEditable(False)
	text.SetInsertionPoint(0)
        text.SetAutoLayout(True)

	sizer = wx.BoxSizer(wx.VERTICAL)
	sizer.Add(text, 1, wx.EXPAND|wx.ALL, border=10)
	self.SetSizer(sizer)
	self.Fit()
